metiendo las manos en un proyecto rails 4 y ruby 2 – literalmente edge! la app corre, pero a la hora de querer tirar un comando como

rails g controller algo

no puedo

$ rails g controller algo
Usage:
  rails new APP_PATH [options]

Options:
  -r, [--ruby=PATH]              # Path to the Ruby binary of your choice
                                 # Default: /home/roberto/.rvm/rubies/ruby-2.0.0-p0/bin/ruby

... ...

lo cual visiblemente se debe a que en la línea de comandos no estoy con rails 4:

$ rails -v
Rails 3.2.13

lo cual se debiera arreglar instalándolo

gem install rails --version 4.0.0.beta1

(lo que debiera ser lo mismo que

$ gem install rails --pre

que es el comando oficial >>)

pero vuelve a pasar lo mismo.

Ésto a pesar que

$ rails -v
Rails 4.0.0.beta1

así es que me resigno y lo ‘creo’ de nuevo encima

rails new . -s

pero con la opción -s para que no sobrescriba lo que ya está.

Y ahora así

$ rails g controller fake
      create  app/controllers/fake_controller.rb
      invoke  erb
...

nótese que lo que faltaba era solamente un archivo .keep en test/helpers/ (¡?)

$ git status
# On branch master
# Your branch is ahead of 'origin/master' by 2 commits.
#
# Changes to be committed:
#   (use "git reset HEAD ..." to unstage)
#
#	new file:   app/assets/images/rails.png
#	new file:   test/helpers/.keep
y el logo de rails...
Este sitio utiliza cookies.    Leer más